This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 150667 - xscreensaver no longer works
xscreensaver no longer works
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-09 09:22 EST by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-17 05:11:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2005-03-09 09:22:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20041020 Epiphany/1.4.4

Description of problem:
If I click the screensaver icon in the panel, xscreensaver doesn't blank the screen.

From the terminal:

# pkill xscreensaver
$ xscreensaver
xscreensaver: 15:19:31: 0: unrecognised ClientMessage "_NET_CURRENT_DESKTOP" received
xscreensaver: 15:19:31: 0: for window 0x40 (root)
xscreensaver: 15:19:31: 0: unrecognised ClientMessage "_NET_ACTIVE_WINDOW" received
xscreensaver: 15:19:31: 0: for window 0x2e00015 (gnome-terminal / Gnome-terminal)
xscreensaver: 15:19:38: no keyboard or mouse data in /proc/interrupts?
xscreensaver: 15:20:55: 0: unrecognised ClientMessage "_NET_CURRENT_DESKTOP" received
xscreensaver: 15:20:55: 0: for window 0x40 (root)
xscreensaver: 15:20:55: 0: unrecognised ClientMessage "_NET_ACTIVE_WINDOW" received
xscreensaver: 15:20:55: 0: for window 0x2e00015 (gnome-terminal / Gnome-terminal)

selinux is off, although..
[root@localhost ~]# selinuxenabled
[root@localhost ~]# echo $?
1
It should return -256 according to the man page.

Been like this for two days.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
x
  

Additional info:
Comment 1 Sean Earp 2005-03-13 17:55:06 EST
Works fine for me using xscreensaver 4.18-4 with SELINUX disabled, and using the
Gnome Lock Applet to enable it.

[compy386@localhost ~]$ rpm -q xscreensaver
xscreensaver-4.18-4
[compy386@localhost ~]$ pkill xscreensaver
[compy386@localhost ~]$
Comment 2 Need Real Name 2005-03-14 15:07:13 EST
xscreensaver-4.18-4 here too.

Do you have any mouse or keyboard entries in /proc/interrupts?
I'm using a USB keyboard and mouse.
Comment 3 Sean Earp 2005-03-14 23:22:42 EST
Hello-

I am using a laptop with an integrated KB/Trackbade, and then I have an attached
Logitech Wireless USB Keyboard and Mouse:

[root@localhost proc]# cat interrupts
           CPU0
  0:     781881          XT-PIC  timer
  1:       1077          XT-PIC  i8042
  2:          0          XT-PIC  cascade
  7:          1          XT-PIC  parport0
  8:          1          XT-PIC  rtc
  9:        101          XT-PIC  acpi
 10:      82431          XT-PIC  Intel ICH5, Intel ICH5 Modem, ehci_hcd,
uhci_hcd, uhci_hcd, uhci_hcd, yenta, ohci1394, eth0
 11:          0          XT-PIC  uhci_hcd
 12:         90          XT-PIC  i8042
 14:      31600          XT-PIC  ide0
 15:       6602          XT-PIC  ide1
NMI:          0
ERR:          0
Comment 4 Need Real Name 2005-03-15 15:09:46 EST
$ cat /proc/interrupts
           CPU0       CPU1
  0:     342379     304218    IO-APIC-edge  timer
  8:          1          0    IO-APIC-edge  rtc
 14:       2558       2790    IO-APIC-edge  ide0
 15:       9683       7940    IO-APIC-edge  ide1
169:          0          0   IO-APIC-level  acpi
177:          0          0   IO-APIC-level  yenta
185:       3776          0   IO-APIC-level  ohci1394, eth0
193:          1          0   IO-APIC-level  ATI IXP
201:       2547       2201   IO-APIC-level  ehci_hcd, ohci_hcd, ohci_hcd
NMI:          0          0
LOC:     646493     646492
ERR:          0
MIS:          0

Any ideas?
Comment 5 Need Real Name 2005-03-17 05:11:18 EST
xscreensaver-base-4.18-19 works.

Note You need to log in before you can comment on or make changes to this bug.